Runtime

## org.eclipse.gmf.runtime.common.ui.dialogs
Interface IShowRelatedElementsWithDetails

All Known Implementing Classes:
  ShowRelatedElementsDialog

public interface IShowRelatedElementsWithDetails

Show Related Elements with details interface. This is for interfaces that support Show Related Elements, including details instead of just presets.

Method Summary
`void` `detailsChanged()` This method is called as a notification that the details have changed.
`ShowRelatedElementsPreset` `getCurrentSettings()` Return the current settings of the details pane in a nameless ShowRelatedElementsPreset object.
`void` `showOrHideDetails()` Toggle showing or hiding details.
`void` `updateRelationships(ShowRelatedElementsPreset preset)` Update the relationships and other settings should be updated in the details pane according to the presets.

Method Detail

### showOrHideDetails

    public void showOrHideDetails()

  Toggle showing or hiding details.

### updateRelationships

    public void updateRelationships(ShowRelatedElementsPreset preset)

  Update the relationships and other settings should be updated in the details pane according to the presets.

  Parameters:
    `preset` - the ShowRelatedElementsPreset

### getCurrentSettings

    public ShowRelatedElementsPreset getCurrentSettings()

  Return the current settings of the details pane in a nameless ShowRelatedElementsPreset object.

  Returns:
    ShowRelatedElementsPreset object containing current settings of the details pane

### detailsChanged

    public void detailsChanged()

  This method is called as a notification that the details have changed.

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.